Subject: [tsvwg] RV: New Version Notification for draft-saldana-tsvwg-simplemux-01.txt

From: "Jose Saldana" <[email-masked]>
Date: Mon, 5 Jan 2015 10:34:34 +0100

Hi all.

I have just uploaded an updated version of the Simplemux draft.
http://datatracker.ietf.org/doc/draft-saldana-tsvwg-simplemux/

In this version, you can include the “Protocol” field on each separator. This permits the inclusion of packets belonging to different protocols into a single bundle.

I have also modified the meaning of the “Single Protocol Bit”. Now it is 1 (not 0) when all the packets belong to the same protocol.

An implementation for Linux, using IP/UDP as the multiplexing protocol, and IP and ROHC as multiplexed protocols is available here: 
https://github.com/TCM-TF/simplemux

Some performance tests developed with it are reported here:
https://github.com/TCM-TF/simplemux/blob/master/Simplemux_VoIP&Quake3_results_v1.pdf?raw=true

- 10 VoIP flows (G729a with 2 samples per packet):
Average BW reduction: 36.50%
Average PPS reduction: 78.83%
Average additional delay: 4.123 ms

- 10 flows of Quake3 (a First Person Shooter online game)
Average BW reduction: 22.23%
Average PPS reduction: 92.99%
Average additional delay: 5.148 ms

Best regards and happy new year!

Jose

> -----Mensaje original-----
> De: [email-masked] [mailto:[email-masked]]
> Enviado el: lunes, 05 de enero de 2015 10:18
> Para: Jose Saldana; Jose Saldana
> Asunto: New Version Notification for draft-saldana-tsvwg-simplemux-01.txt
> 
> 
> A new version of I-D, draft-saldana-tsvwg-simplemux-01.txt
> has been successfully submitted by Jose Saldana and posted to the IETF
> repository.
> 
> Name:		draft-saldana-tsvwg-simplemux
> Revision:	01
> Title:		Simplemux. A generic multiplexing protocol
> Document date:	2015-01-05
> Group:		Individual Submission
> Pages:		11
> URL:            http://www.ietf.org/internet-drafts/draft-saldana-tsvwg-simplemux-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-saldana-tsvwg-simplemux/
> Htmlized:       http://tools.ietf.org/html/draft-saldana-tsvwg-simplemux-01
> Diff:           http://www.ietf.org/rfcdiff?url2=draft-saldana-tsvwg-simplemux-01
> 
> Abstract:
>    There are some situations in which multiplexing a number of small
>    packets into a bigger one is desirable.  For example, a number of
>    small packets can be sent together between a pair of machines if they
>    share a common network path.  Thus, the traffic profile can be
>    shifted from small to larger packets, reducing the network overhead
>    and the number of packets per second to be managed by intermediate
>    routers.
> 
>    This document describes Simplemux, a protocol able to encapsulate a
>    number of packets belonging to different protocols into a single
>    packet.  It includes the "Protocol" field on each multiplexing
>    header, thus allowing the inclusion of a number of packets belonging
>    to different protocols on a packet of another protocol.
> 
>    The size of the multiplexing headers is kept very low (it may be a
>    single byte when multiplexing small packets) in order to reduce the
>    overhead.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission until
> the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat